Subject: bug#31968: 26.1.50; Allow to hide title bar on maximize (gtk/gnome/csd)

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 29 Apr 2022 12:03:59 +0200

Po Lu <[email-masked]> writes:

> I don't see why this feature cannot be implemented in Lisp by users who
> want it.  It seems extravagant to have it as a frame parameter in C,
> especially one relying on an undocumented window property specific to
> new versions of GTK that is not implemented by many window managers.

If I skimmed the thread correctly, the Lisp solutions led to some
"flickering" -- i.e., first we show the frame maximised with a title
bar, and then the callback hook is called, and then we remove the title
bar.  So asking the WM to do it all in one operation seemed attractive.
But when that doesn't even work, then the in-Lisp solution seems like
the only option.

(Note that I haven't actually tested the Lisp solution.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no